Exception::getTraceAsString
Exception::__clone
Exception
PHP Manual

# Exception::__toString

String representation of the exception

### Description

public string Exception::__toString ( void )

Returns the string representation of the exception.

### Parameters

This function has no parameters.

### Return Values

Returns the string representation of the exception.

### Examples

Example #1 Exception::__toString example

`<?php
try {
throw new Exception("Some error message");
} catch(Exception $e) {
echo $e;
}
?>`

The above example will output something similar to:

    exception 'Exception' with message 'Some error message' in /home/bjori/tmp/ex.php:3
    Stack trace:
    #0 {main}